%define srcname xf86-video-avivo
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-avivo
Version: 0.0.999
Release: alt1.M40

Summary: ATI r5xx driver for Xorg
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server
Provides: x11-driver-avivo

BuildRequires: libpciaccess-devel libxorgconfig-devel xorg-x11-sdk xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
ATI r5xx driver for Xorg

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
cat xorg/avivo_chipset.c| sed -ne 's|^.*\(PCI_CHIP_[RM].*_\)\(.*\),\ \"\(.*\)\".*|alias pcivideo:v00001002d0000\2sv*sd*bc*sc*i* avivo # \3|p' \
	> %buildroot%_hwdatadir/avivo.xinf

%files
%_bindir/avivotool
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf

%changelog
* Mon Sep 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.0.999-alt1.M40
- build for branch 4.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.0.999-alt2
- rebuild for xorg-server-1.4

* Thu Sep 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.0.999-alt1
- initial release

